'use strict';

var _must = require('must');

var _must2 = _interopRequireDefault(_must);

var _backoff = require('./backoff');

var _backoff2 = _interopRequireDefault(_backoff);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// ===================================================================

/* eslint-env mocha */

_must2.default.prototype.iterable = function () {
  var _ = this.actual;

  this.assert(_ && typeof (_ = _[Symbol.iterator]) === 'function' && (_ = _()) && typeof _.next === 'function', 'be an iterable');
};

var toArray = function toArray(iterable) {
  var iterator = iterable[Symbol.iterator]();
  var array = [];
  var current = void 0;
  while (!(current = iterator.next()).done) {
    array.push(current.value);
  }
  return array;
};

// ===================================================================

describe.only('fibonacci()', function () {
  it('returns an iterable', function () {
    (0, _must2.default)((0, _backoff.fibonacci)()).to.be.an.iterable();
  });

  it('generates the Fibonacci sequence', function () {
    var _context;

    (0, _must2.default)(toArray((_context = (0, _backoff.fibonacci)(), _backoff.take).call(_context, 10))).to.eql([1, 1, 2, 3, 5, 8, 13, 21, 34, 55]);
  });
});

describe('createBackoff()', function () {
  it('returns an iterable', function () {
    (0, _must2.default)((0, _backoff2.default)()).to.be.an.iterable();
  });
});
//# sourceMappingURL=backoff.spec.js.map