'use strict';

var _must = require('must');

var _must2 = _interopRequireDefault(_must);

var _parseUrl = require('./parse-url');

var _parseUrl2 = _interopRequireDefault(_parseUrl);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// ===================================================================

/* eslint-env mocha */

describe('parseUrl()', function () {
  it('protocol is added if missing', function () {
    (0, _must2.default)((0, _parseUrl2.default)('example.org')).to.equal('ws://example.org');
  });

  it('HTTP(s) is converted to WS(s)', function () {
    (0, _must2.default)((0, _parseUrl2.default)('http://example.org')).to.equal('ws://example.org');
    (0, _must2.default)((0, _parseUrl2.default)('https://example.org')).to.equal('wss://example.org');
  });

  describe('in a browser', function () {
    before(function () {
      global.window = {
        location: {
          toString: function toString() {
            return 'http://example.org/foo/bar';
          }
        }
      };
    });

    after(function () {
      delete global.window;
    });

    it('current URL is used by default', function () {
      (0, _must2.default)((0, _parseUrl2.default)()).to.equal('ws://example.org/foo/bar');
    });

    it('relative URL is resolved against current URL', function () {
      (0, _must2.default)((0, _parseUrl2.default)('./api/')).to.equal('ws://example.org/foo/api/');
    });
  });
});

// ===================================================================
//# sourceMappingURL=parse-url.spec.js.map